%% Initialization
clear all;close all;
Bx=1;
eta=0.01;
tol=1e-6;
%%
[ T11, W11, X11] = greedy_RLS([0;1],[1;0],Bx,eta,tol);
[ T21, W21, X21] = greedy_RLS([0;2.5],[1;0],Bx,eta,tol);
[ T31, W31, X31] = greedy_RLS([-1.5;0.5],[1;0],Bx,eta,tol);

[ T1, W1, X1] = colinear_RLS([0;1],[1;0],Bx,eta,tol);
[ T2, W2, X2] = colinear_RLS([0;2.5],[1;0],Bx,eta,tol);
[ T3, W3, X3] = colinear_RLS([-1.5;0.5],[1;0],Bx,eta,tol);

%% Generating data for figure 1 and so on
csvwrite('results/w0=(0,1)_GREEDY_w.csv',W11)
csvwrite('results/w0=(0,2.5)_GREEDY_w.csv',W21)
csvwrite('results/w0=(-1.5,0.5)_GREEDY_w.csv',W31)

csvwrite('results/w0=(0,1)_GREEDY_x.csv',X11)
csvwrite('results/w0=(0,2.5)_GREEDY_x.csv',X21)
csvwrite('results/w0=(-1.5,0.5)_GREEDY_x.csv',X31)

csvwrite('results/w0=(0,1)_STRAIGHT_w.csv',W1)
csvwrite('results/w0=(0,2.5)_STRAIGHT_w.csv',W2)
csvwrite('results/w0=(-1.5,0.5)_STRAIGHT_w.csv',W3)

csvwrite('results/w0=(0,1)_STRAIGHT_x.csv',X1)
csvwrite('results/w0=(0,2.5)_STRAIGHT_x.csv',X2)
csvwrite('results/w0=(-1.5,0.5)_STRAIGHT_x.csv',X3)
%% Generating Table 2 in the paper
% a=1;
% [ T11, W11, X11] = greedy_RLS([0;2*a],[a;0],Bx,eta,tol);
% [ T1, W1, X1] = colinear_RLS([0;2*a],[a;0],Bx,eta,tol);
% 
% a=2;
% [ T21, W21, X21] = greedy_RLS([0;2*a],[a;0],Bx,eta,tol);
% [ T2, W2, X2] = colinear_RLS([0;2*a],[a;0],Bx,eta,tol);
% 
% a=4;
% [ T31, W31, X31] = greedy_RLS([0;2*a],[a;0],Bx,eta,tol);
% [ T3, W3, X3] = colinear_RLS([0;2*a],[a;0],Bx,eta,tol);
% 
% a=8;
% [ T41, W41, X41] = greedy_RLS([0;2*a],[a;0],Bx,eta,tol);
% [ T4, W4, X4] = colinear_RLS([0;2*a],[a;0],Bx,eta,tol);
